# $Revision: 1.101 $, $Date: 2011/05/05 07:42:12 $
#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static libraries
%bcond_without	kerberos5	# don't build Kerberos V support
%bcond_without	libproxy	# don't build libproxy support

Summary:	An HTTP and WebDAV client library
Summary(pl.UTF-8):	Biblioteka kliencka HTTP i WebDAV
Name:		neon
Version:	0.29.6
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.webdav.org/neon/%{name}-%{version}.tar.gz
# Source0-md5:	591e0c82e6979e7e615211b386b8f6bc
URL:		http://www.webdav.org/neon/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake
%{?with_kerberos5:BuildRequires:	heimdal-devel}
%{?with_libproxy:BuildRequires:	libproxy-devel}
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
neon is an HTTP and WebDAV client library, with a C interface.
Featuring:
 - High-level interface to HTTP and WebDAV methods (PUT, GET, HEAD
   etc).
 - Low-level interface to HTTP request handling, to allow implementing
   new methods easily.
 - HTTP/1.1 and HTTP/1.0 persistent connections.
 - RFC2617 basic and digest authentication (including auth-int,
   md5-sess).
 - Proxy support (including basic/digest authentication).
 - Generic WebDAV 207 XML response handling mechanism.
 - XML parsing using the expat or libxml parsers.
 - Easy generation of error messages from 207 error responses.
 - WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL.
 - WebDAV metadata support: set and remove properties, query any set of
   properties (PROPPATCH/PROPFIND).

%description -l pl.UTF-8
neon to biblioteka kliencka HTTP i WebDAV z interfejsem w C.
Możliwości:
 - wysokopoziomowy interfejs do metod HTTP i WebDAV (PUT, GET,
   HEAD...),
 - niskopoziomowy interfejs do obsługi żądań HTTP pozwalający łatwo
   implementować nowe metody,
 - stałe połączenia HTTP/1.1 i HTTP/1.0,
 - uwierzytelnianie podstawowe (basic) i skrótem RFC-2617 (auth-int,
   md5-sess...),
 - obsługa proxy (w tym uwierzytelnianie podstawowe i skrótem),
 - mechanizm obsługi odpowiedzi WebDAV 207 XML,
 - analiza składniowa XML przy pomocy expat lub libxml,
 - proste generowanie komunikatów błędów dla odpowiedzi 207,
 - manipulowanie zasobami WebDAV: MOVE, COPY, DELETE, MKCOL,
 - obsługa metadanych WebDAV: ustawianie i usuwanie atrybutów,
   sprawdzanie dowolnego zbioru atrybutów (PROPPATCH/PROPFIND).

%package devel
Summary:	Header files for neon
Summary(pl.UTF-8):	Pliki nagłówkowe neon
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_kerberos5:Requires:	heimdal-devel}
%{?with_libproxy:Requires:	libproxy-devel}
Requires:	libxml2-devel
Requires:	openssl-devel >= 0.9.7c

%description devel
C header files for the neon library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki neon.

%package static
Summary:	Static libraries for neon
Summary(pl.UTF-8):	Biblioteki statyczne neon
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static neon libraries.

%description static -l pl.UTF-8
Statyczne biblioteki neon.

%package apidocs
Summary:	neon API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki neon
Group:		Documentation

%description apidocs
API and internal documentation for neon library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki neon.

%prep
%setup -q

%build
%{__libtoolize} --install
%{__aclocal} -I macros
%{__autoconf}
%configure \
	--with-ssl \
	--enable-threadsafe-ssl=posix \
	--enable-shared \
	%{!?with_static_libs:--disable-static} \
	%{!?with_kerberos5:--without-gssapi} \
	%{!?with_libproxy:--without-libproxy} \
	--with-libxml2

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libneon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libneon.so.27

%files devel
%defattr(644,root,root,755)
%doc doc/*.txt
%attr(755,root,root) %{_bindir}/neon-config
%attr(755,root,root) %{_libdir}/libneon.so
%{_libdir}/libneon.la
%{_includedir}/neon
%{_pkgconfigdir}/neon.pc
%{_mandir}/man1/neon-config.1*
%{_mandir}/man3/ne_*.3*
%{_mandir}/man3/neon.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libneon.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: neon.spec,v $
Revision 1.101  2011/05/05 07:42:12  lisu
- 0.29.6

Revision 1.100  2011/02/15 10:19:54  arekm
- release 5

Revision 1.99  2011/01/29 23:11:29  sparky
- release: 4, STBR

Revision 1.98  2011/01/15 16:31:47  charles
- -devel R: libproxy-devel

Revision 1.97  2010/11/25 14:18:24  hawk
- release 3

Revision 1.96  2010/11/15 21:35:55  qboosh
- cleanup

Revision 1.95  2010/11/08 11:56:30  glen
- apidocs subpackage
- man files are installde by makefile

Revision 1.94  2010/11/04 02:25:51  shadzik
- rel 2

Revision 1.93  2010/10/15 08:22:38  lisu
- 0.29.5

Revision 1.92  2010/10/04 18:29:21  baggins
- rel 2

Revision 1.91  2010/10/04 14:29:27  lisu
- 0.29.4

Revision 1.90  2010/04/10 17:33:18  arekm
- release 2

Revision 1.89  2010/01/20 19:17:16  sparky
- BR: pkgconfig

Revision 1.88  2010/01/20 11:35:54  lisu
- 0.29.3

Revision 1.87  2009/12/19 17:17:20  arekm
- up to 0.29.1

Revision 1.86  2009/11/16 17:11:10  mmazur
- add libproxy bcond

Revision 1.85  2009/10/25 22:12:25  draenog
- s/libproxy/libproxy-devel/

Revision 1.84  2009/10/24 00:13:14  draenog
- missing BR: libproxy

Revision 1.83  2009/10/23 03:37:01  qboosh
- more pl fixes

Revision 1.82  2009/10/22 10:21:46  lisu
- up to 0.29.0
- typo in pl

Revision 1.81  2009/08/27 06:24:12  arekm
- up to 0.28.6 (fixes CVE-2009-2473, CVE-2009-2474)

Revision 1.80  2009/07/05 15:39:43  arekm
- up to 0.28.5

Revision 1.79  2009/07/02 13:57:46  baggins
- rel 4
- back to heimdal kerberos

Revision 1.78  2009/03/19 08:00:36  arekm
- rel 3; don't fail if kernel doesn't support SOCK_CLOEXEC

Revision 1.77  2009/03/19 07:43:42  arekm
- release 2

Revision 1.76  2009/03/05 21:35:40  arekm
- up to 0.28.4

Revision 1.75  2008/08/24 16:13:00  areq
- 0.28.3

Revision 1.74  2008/06/29 08:31:36  qboosh
- libtool epoch

Revision 1.73  2008/06/28 23:54:41  areq
- fix build with new libtool

Revision 1.72  2008-04-07 16:26:28  arekm
- up to 0.28.2

Revision 1.71  2008-03-24 13:04:37  qboosh
- updated to 0.28.1

Revision 1.70  2008-02-21 21:26:49  qboosh
- more verbose files, ghost soname symlink
- updated ac BR
- License is LGPL (v2+)

Revision 1.69  2008-02-08 23:17:41  arekm
- up to 0.28.0

Revision 1.68  2007/09/27 16:54:21  arekm
- up to 0.27.2

Revision 1.67  2007/09/16 15:55:20  areq
- 0.27.1

Revision 1.66  2007/08/31 20:16:04  arekm
- up to 0.27.0

Revision 1.65  2007/07/15 10:47:08  arekm
- up to 0.26.4

Revision 1.64  2007/07/09 20:33:07  arekm
- rel 3; enable openssl thread safety

Revision 1.63  2007/04/09 09:15:48  qboosh
- added CVE reference to rev 1.59 changelog

Revision 1.62  2007/03/31 22:05:11  baggins
- rel 2
- s/heimdal/krb5/

Revision 1.61  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.60  2007/02/12 00:49:12  baggins
- converted to UTF-8

Revision 1.59  2007/01/28 11:53:53  arekm
- up to 0.26.3 [fixes CVE-2007-0157]

Revision 1.58  2007/01/09 20:46:29  arekm
- rel 2

Revision 1.57  2006/11/05 02:48:11  qboosh
- updated to 0.26.2

Revision 1.56  2006/08/05 19:35:43  wolf
- rel 2

Revision 1.55  2006/05/25 18:40:38  qboosh
- updated to 0.26.1

Revision 1.54  2006/03/12 16:21:41  areq
- 0.26.0

Revision 1.53  2006/02/19 04:00:38  agaran
- without not disable, my mistake, testbuild on system with krb
  and --without specified by undefine, and looks like correct

Revision 1.52  2006/02/19 03:37:04  agaran
- bcond for krb/gssapi (allow to build on system where is no krb),
  not tested if disables krb properly even when krb is present

Revision 1.51  2006/01/21 21:45:02  arekm
- up to 0.25.5

Revision 1.50  2005/10/21 16:06:58  speedo
- updated to 0.25.4

Revision 1.49  2005/08/22 07:19:21  paszczus
- updated to 0.25.3

Revision 1.48  2005/07/06 19:39:39  arekm
- br heimdal >= 0.7

Revision 1.47  2005/06/17 19:35:58  twittner
- added bcond_without static_libs

Revision 1.46  2005/03/21 18:33:16  mmazur
- rel 4 for th

Revision 1.45  2004/11/21 08:25:51  arekm
- rel 3; revert, better, non-invasive method used now in rpm

Revision 1.44  2004/11/21 00:47:40  arekm
- jbj changes to neon

Revision 1.43  2004/07/05 20:58:13  arekm
- updated to 0.24.7

Revision 1.42  2004/05/19 19:08:47  qboosh
- updated to 0.24.6 (fixes CAN-2004-0398 - heap overflow in date parsing)

Revision 1.41  2004/04/16 10:21:45  qboosh
- security update to 0.24.5
  (CAN-2004-0179: format string vulnerabilities in XML/207 response handling)
- strict internal deps, release 2 for Ac

Revision 1.40  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.39  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.38  2003/10/25 23:14:34  arekm
- updated to 0.24.4

Revision 1.37  2003/10/23 20:58:42  arekm
- rel 2

Revision 1.36  2003/10/18 08:55:09  qboosh
- expat is not used (libxml2 is); -devel R: heimdal-devel

Revision 1.35  2003/10/08 21:27:58  arekm
- neon is able to preform kerberos auth

Revision 1.34  2003/10/08 21:12:23  arekm
- updated to 0.24.3

Revision 1.33  2003/09/30 20:18:27  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.32  2003/09/19 19:41:16  misi3k
- updated to 0.24.2

Revision 1.31  2003/09/07 20:02:58  qboosh
- 0.24.1

Revision 1.30  2003/07/04 11:05:11  qboosh
- -devel R: libxml2-devel, openssl-devel

Revision 1.29  2003/06/29 19:20:05  trojan
- moved development stuff to devel package

Revision 1.28  2003/06/25 13:19:59  trojan
- updated to 0.24.0

Revision 1.27  2003/05/27 10:57:25  trojan
- added Source0-md5

Revision 1.26  2003/05/25 05:51:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/04 13:12:06  trojan
- updated to 0.23.9

Revision 1.24  2003/02/28 22:22:05  misi3k
- updated to 0.23.8

Revision 1.23  2003/02/15 09:17:57  trojan
- updated to 0.23.7
- added libtoolize

Revision 1.22  2003/02/13 14:03:35  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.21  2002/11/25 14:17:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.20  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/09/29 17:04:07  misiek
- updated to 0.23.4

Revision 1.18  2002/09/08 17:20:54  misiek
- version 0.23.3

Revision 1.17  2002/08/12 18:00:59  wiget
- updated to 0.22.0
- BR new (sec)fixed openssl

Revision 1.16  2002/07/23 21:28:41  mmazur
- updated to 0.21.3
- STBR

Revision 1.15  2002/05/28 08:11:24  qboosh
- removed .so and soname symlinks from base; new %%doc; release 2

Revision 1.14  2002/05/21 23:14:13  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/04/25 11:10:06  misiek
- updated to 0.19.4

Revision 1.12  2002/04/12 10:23:28  malekith
- added no-usr-include patch that makes build possible with gcc31
- regenerate configure (br: automake & autoconf >= 2.53)

Revision 1.11  2002/04/08 17:56:38  misiek
- updated to 0.19.3

Revision 1.10  2002/02/23 04:05:38  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:14:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2002/01/14 23:47:00  blues
- release 2 (it builds now)
- simplified instalation
- added mans instalation
- more docs

Revision 1.6  2001/12/16 00:33:59  kloczek
- updated to 0.18.1 (bug fix release).

Revision 1.5  2001/12/07 11:03:26  kloczek
- updated to 0.18.0 (manu bugfixes and some API clarifications).

Revision 1.4  2001/12/07 09:20:44  kloczek
- cosmetics.

Revision 1.3  2001/12/06 23:17:14  blues
- release 2
- DESTDIR patch added
- configure macro used
- force using libxml2
- cosmetic in docs

Revision 1.2  2001/12/06 15:56:52  qboosh
- pl description, separated -static, fixed post/postun

Revision 1.1  2001/11/14 00:45:47  serek
- neu im sklep. ready for builders, i suppose.
